import { Context } from 'egg';
export declare const ROUTE_TABLE: unique symbol;
export declare type HttpMethod = 'get' | 'put' | 'post' | 'patch' | 'delete';
export declare type RouteTable = RouteTableEntry[];
export interface RouteTableEntry {
    key: string;
    method: HttpMethod;
    path: string | RegExp;
    middlewares: any[];
    name?: string;
}
export declare type IMiddleware = (ctx: Context, next: () => Promise<any>) => any;
export declare type ClassOrPropertyDecorator = (target: any, key?: string | symbol) => any;
